### Function

# Gtk test_list_all_types

#### Declaration [src]

    const GType*
    gtk_test_list_all_types (
      guint* n_types
    )

#### Description [src]

Return the type ids that have been registered after calling gtk_test_register_all_types().

#### Parameters

`n_types` | `guint*`
| Location to store number of types.
| The argument will be set by the function.
| The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | An array of `GType`
| 0-terminated array of type ids.
| The array is `NULL`-terminated.
| The length of the array is in the `n_types` argument.
| The data is owned by the called function.